Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043219
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSmajorhave not tried2020-02-13 17:052020-04-24 14:58
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043219: Web POS should calculate taxes based on store address instead of customer address

DescriptionAs part of IndexedDB project, tax calculation in Web POS will be refactored.

A new tax engine will be developed as a function that can be called from Web POS or any other system (backoffice, ecommerce, etc.).

Country and region will be properties of the ticket sent to the new engine. These parameters will be sent at ticket line level. Thus, engine will calculate which tax rules apply to each ticket line based on line country and region.

Those properties will be sent from Web POS as follows:
- If the ticket line is Home Delivery, business partner delivery address will be sent.
- Otherwise, line organization address will be sent:
-- If the line belongs to the current store, touchpoint store address will be sent.
-- If the line belongs to a cross store, cross store address will be sent.
Steps To Reproduce*
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0043657 closedSandrahuguet Masterdata IndexedDB - Phase 1 

-  Notes
(0118951)
hgbot (developer)
2020-04-06 11:51

Repository: tools/automation/pi-mobile
Changeset: 9bb2b8db29f26687a679564a52093412d52bc889
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Feb 13 17:10:45 2020 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/9bb2b8db29f26687a679564a52093412d52bc889 [^]

[indexedDB-masterdata-tax] Do not run CheckShippingAddressMandatory test until issue 43219 is fixed

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/customercreation/CheckShippingAddressMandatory.java
---
(0119210)
aferraz (developer)
2020-04-16 08:42

Fix included in Tax Engine refactor, developed as part of 0043657.

- Issue History
Date Modified Username Field Change
2020-02-13 17:05 aferraz New Issue
2020-02-13 17:05 aferraz Assigned To => aferraz
2020-02-13 17:05 aferraz Triggers an Emergency Pack => No
2020-02-18 10:43 aferraz Description Updated View Revisions
2020-04-06 11:51 hgbot Checkin
2020-04-06 11:51 hgbot Note Added: 0118951
2020-04-16 08:40 aferraz Relationship added depends on 0043657
2020-04-16 08:42 aferraz Note Added: 0119210
2020-04-16 08:42 aferraz Status new => scheduled
2020-04-16 08:43 aferraz Status scheduled => resolved
2020-04-16 08:43 aferraz Fixed in Version => RR20Q3
2020-04-16 08:43 aferraz Resolution open => fixed
2020-04-24 14:58 marvintm Review Assigned To => marvintm
2020-04-24 14:58 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker